Serialization::Exception Class Reference

Will be thrown whenever an error occurs during an serialization or deserialization process. More...

`#include <Serialization.h>`

## Public Member Functions

| Exception (String format,...)
| Exception (String format, va_list arg)
void | PrintMessage () const
| Print exception message to stdout.

## Public Attributes

String | Message

## Static Protected Member Functions

static String | assemble (String format, va_list arg)

## Detailed Description

Will be thrown whenever an error occurs during an serialization or deserialization process.

Definition at line 2121 of file Serialization.h.

## Constructor & Destructor Documentation

## Exception() [1/3]

Serialization::Exception::Exception | ( | String | format,
|  |  | ... )

Definition at line 2841 of file Serialization.cpp.

## Exception() [2/3]

Serialization::Exception::Exception | ( | String | format,
|  | va_list | arg )

Definition at line 2848 of file Serialization.cpp.

## ~Exception()

virtual Serialization::Exception::~Exception | ( |  | ) |

inline virtual

Definition at line 2128 of file Serialization.h.

## Exception() [3/3]

Serialization::Exception::Exception | ( |  | ) |

protected

Definition at line 2838 of file Serialization.cpp.

## Member Function Documentation

## assemble()

String Serialization::Exception::assemble | ( | String | format,
|  | va_list | arg )

static protected

Definition at line 2861 of file Serialization.cpp.

## PrintMessage()

void Serialization::Exception::PrintMessage | ( |  | ) | const

Print exception message to stdout.

Prints the message of this Exception to the currently defined standard output (that is to the terminal console for example).

Definition at line 2857 of file Serialization.cpp.

## Member Data Documentation

## Message

String Serialization::Exception::Message

Definition at line 2123 of file Serialization.h.

The documentation for this class was generated from the following files:

- Serialization.h
- Serialization.cpp